<?php
#---------------------------------------------------------------------------
# Needed for stand alone use (without the template envirionment) 
$SITE = array();
#---------------------------------------------------------------------------
#
# Customize here:
#
$errorMessages			= true;			// true: error messages for all php errors. false: supprres the messages
$includeHead			= true; 		// <head><body><css><scripts> are loaded
$colorClass				= 'pastel';		// pastel green blue beige orange 
$pageWidth				= '670px;';		// set do disired width 999px  or 100%
#
$printGraph				= true;			// original HWA graph / header with 2 coloms for each day (12 hours data)
#
$iconGraph				= true;			// icon type header  with 2 icons for each day (12 hours data)
#
$topCount				= 10;			// max nr of day-part forecasts in icons or graph
$topWidth				= '99%';		// set do disired width 999px  or 100%
#
$chartsGraph			= true;			// high charts graph one colom for every 3 hours
#
$hwaTable				= true;			// table with one line for every 3 hours
#
include ('hwaSettings.php');
#
#---------------------------------------------------------------------------
# just to know which script version is executing
#---------------------------------------------------------------------------
#
$pageName		= 'startHwa.php';
$pageVersion	= '0.10 2013-01-17';
$SITE['wsModules'][$pageName] = 'version: ' . $pageVersion;
$pageFile = basename(__FILE__);			// check to see this is the real script
if ($pageFile <> $pageName) {
	$SITE['wsModules'][$pageFile]	= 'this file loaded instead of '.$pageName;
}
#---------------------------------------------------------------------------
# set the Timezone abbreviation automatically based on $SITE['tzname'];
#---------------------------------------------------------------------------
if (!function_exists('date_default_timezone_set')) {
	 putenv("TZ=" . $SITE['tz']);
} else {
	 date_default_timezone_set($SITE['tz']);
}
$SITE['tzName']	= date("T",time());
$pathString	= '<!-- Timezone = '.$SITE['tzName'].' Time = '.date($SITE['timeFormat'],time()).' -->'.PHP_EOL;
#---------------------------------------------------------------------------
# load supporting scripts 
#---------------------------------------------------------------------------
$lang		= $SITE['lang'];
$pathString	.= '<!-- module '.$pageFile.' ==== '.$SITE['wsModules'][$pageFile]." -->".PHP_EOL;
$script	= $SITE['scriptDir'].$SITE['supportDir'].'wsLangFunctions.php';
$pathString	.= '<!-- trying to load '.$script.' -->'.PHP_EOL;
include_once($script);
$script	= $SITE['scriptDir'].$SITE['supportDir'].'wsFunctions.php';
$pathString	.= '<!-- trying to load '.$script.' -->'.PHP_EOL;
include_once($script);
$script	= $SITE['scriptDir'].$SITE['supportDir'].'wsIconUrl.php';
$pathString	.= '<!-- trying to load '.$script.' -->'.PHP_EOL;
include_once($script);
#
#---------------------------------------------------------------------------
#  the following lines output the needed html if you want a stand alone page
#  this includes the CSS file used for formatting
#---------------------------------------------------------------------------
if ($includeHead) {
echo'<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta name="description" content="'.$SITE['organ'].' - '. $pageName.'>" />
	<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1 "/>
	<link rel="stylesheet" type="text/css" href="hwa.css" media="screen" title="screen" />
	<link rel="shortcut icon" href="img/icon.png" type="image/x-icon" />
	<meta http-equiv="Pragma" content="no-cache" />
	<meta http-equiv="Cache-Control" content="no-cache" />
	<meta name="Keywords" content="weather, Weather, temperature, dew point, humidity, forecast, Davis Vantage Pro,  Weather, Your City, weather conditions, live weather, live weather conditions, weather data, weather history, Meteohub " />
	<meta name="Description" content="Weather conditions '.$SITE['organ'].'" />
	<title>'.$SITE['organ'].' -  HWA stand alone script</title>
	<script type="text/javascript">
		var docready=[],$=function(){return{ready:function(fn){docready.push(fn)}}};
	</script>
</head>
<body class="'.$colorClass.'" style="text-align: center;">'.PHP_EOL;
}
echo $pathString;  //  display info about all loaded scripts and version numbers as html comment lines
#
#-----------------------  I M P O R T A N T   -----------------------------
#
#	if you use your own page setup you should ADD a line with
#
#	<link rel="stylesheet" type="text/css" href="hwa.css" media="screen" title="screen" />
#
#	make sure you have the correct path set in href
#
#  	in your html so that the correct css is loaded
#---------------------------------------------------------------------------
#	Now we output the enclosing div for which you set the width in the first lines of this script
#
echo '<div id="pagina" style="width: '.$pageWidth.' min-width: '.$pageWidth.'">'.PHP_EOL;
#
# Then we get the data from a weather class 
#
include('hwaCreateArr.php');
$weather 		= new hwaWeather ();
$returnArray 	= $weather->getWeatherData('');
#
#---------------------------------------------------------------------------
# Now create all tables and graphs to be printed here
#
include ('hwaGenerateHtml.php');
# Now ready for printing to the screen. Use echo for that
#   $stringColom	: original HWA graph
#	$tableIcons		: icon 
#	$graphPart1		: javascript / highcharts graph
#	$hwaListTable	: table with all forecast lines
#
if (isset ($printGraph) && $printGraph == true) {
	$margin = '0px';	// for top bottom margin. set to '0px' if not needed or any desired distance
	echo '<div id="printGraph" style="width: '.$topWidth.'; margin: '.$margin.' auto;"><!-- enclosing div for hwa print graph -->'.PHP_EOL;
	echo $stringColom.PHP_EOL;
	echo '</div><!-- eo enclosing div for hwa print graph -->'.PHP_EOL;
}
#
if (isset ($iconGraph) && $iconGraph == true) {
						// $topwidth is set in first lines of script 
	$margin = '10px';	// for top bottom margin. set to '0px' if not needed or any desired distance
	echo '<div id="iconGraph" style="width: '.$topWidth.'; border: 1px inset; border-radius: 5px; margin: '.$margin.' auto;">';
	echo $tableIcons.PHP_EOL;
	echo '</div>';
}
#
if (isset ($chartsGraph) && $chartsGraph == true) {
						// $topwidth is set in first lines of script 
	$margin = '10px';	// for top bottom margin. set to '0px' if not needed or any desired distance
	echo '<div id="containerTemp" style="width: '.$topWidth.'; height: 340px; border: 1px inset; border-radius: 5px; margin: '.$margin.' auto;">here the graph will be drawn</div>'.PHP_EOL;
	echo $graphPart1.PHP_EOL;
}
if (isset ($hwaTable) && $hwaTable == true) {
	$margin = '10px';	// for top bottom margin. set to '0px' if not needed or any desired distance
	$height = '500px';	// to restrict height to suppress very large/long pages
	$width	= '100%';	//
	echo '<div style="display: block; width: '.$width.'; height: '.$height.'; overflow-y: scroll; margin: '.$margin.' auto;">'.PHP_EOL;
#	echo '<div style="display: block; width: '.$width.'; margin: '.$margin.' auto;">'.PHP_EOL;
	echo $hwaListTable.PHP_EOL;
	echo '</div>'.PHP_EOL;
}
echo $credits;
#---------------------------------------------------------------------------
#  end of enclosing div
echo '
</div>
<!-- end of pagina -->'.PHP_EOL; // end pagina div
#
#---------------------------------------------------------------------------
#  the following lines output the needed scripts / html for a stand alone page
#
#-------------------I M P O R T A N T  -------------------------------------
# now we add the needed javascripts
# if you use this script inside another script make sure you add the javascripts yourself
#---------------------------------------------------------------------------
$javaOutput = $includeHead;		// we print javascript based on setting of enclosing html
#$javaOutput = true;			// javascripts are ALWAYS printed by removing the #
#
if ($javaOutput) {
	$javaFolder = $SITE['javascriptsDir'];
	echo '<script type="text/javascript" src="'.$javaFolder.'jquery.js"></script>'.PHP_EOL;
	echo '<script type="text/javascript" src="'.$javaFolder.'highcharts.js"></script>'.PHP_EOL;
	echo '<script type="text/javascript">$=jQuery;jQuery(document).ready(function(){for(n in docready){docready[n]()}});</script>'.PHP_EOL;
}
if ($includeHead) {
	echo '
</body>
</html>';
}
#---------------------------------------------------------------------------
# Leave this code here .. it will help you see what language translations are missing 
# if you dont want them set next line to comment by adding a # as first cahracter on the line
$noMissingLang = true;
#
If (!isset ($noMissingLang) || $noMissingLang  == true) {
	$string='';
	foreach ($missingTrans as $key => $val) {
		$string.= "langlookup|$key|$key|".PHP_EOL;
	}
	if (strlen($string) > 0) {
		echo PHP_EOL.'<!-- missing langlookup entries for lang='.$lang.PHP_EOL;
		echo $string;
		echo count($missingTrans).' entries found.'.PHP_EOL.'End of missing langlookup entries -->'.PHP_EOL;
	}
}
?>